# Generated from jekyll-pandoc-multiple-formats-0.2.9.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jekyll-pandoc-multiple-formats

Name: rubygem-%{gem_name}
Version: 0.2.9.1
Release: 1%{?dist}
Summary: Use pandoc on jekyll to generate posts in multiple formats
License: MIT
URL: https://github.com/fauno/jekyll-pandoc-multiple-formats
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.8.0
# BuildRequires: rubygem(minitest) < 5.9
# BuildRequires: rubygem(shoulda) >= 3.5.0
# BuildRequires: rubygem(shoulda) < 3.6
BuildArch: noarch

%description
This jekyll plugin was inspired by
jekyll-pandoc-plugin but it was changed to generate multiple outputs,
rather than just using pandoc to generate jekyll html posts. Besides,
it doesn't require the 'pandoc-ruby' gem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/imponer
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/jekyll-pandoc-multiple-formats.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.9.1-1
- Initial package
